#ifndef _HEX_TOOL_WIDGET_H_
#define _HEX_TOOL_WIDGET_H_

#include <ktabctl.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h> 
#include "hexbuffer.h"

class CHexToolWidget : public KTabCtl
{
  Q_OBJECT

  public:
    CHexToolWidget( QWidget *parent = 0, const char *name = 0 );
    ~CHexToolWidget( void );

    void writeConfiguration( KConfig &config );
    void readConfiguration( KConfig &config );

  protected:
    void resizeEvent( QResizeEvent *e );

  public slots:
    void cursorChanged( SCursorState &state );
    void layoutChanged( const SDisplayLayout &layout );

    void paletteChanged( void );
    void intelFormat( void );
    void unsignedFormat( void );

  private:
    void CreateConversionPage( void );
 
  private:
    struct STabPage
    {
      QWidget *page;
      QTab    *tab;
    };

    SCursorState mCursorState;
    bool mViewHexCaps;

    STabPage mConversion;
    STabPage mCalculator;
    QGridLayout *mUtilBox;
    QLabel *mText1[4];
    QLabel *mText2[4];
    QLabel *mText3[4];
    QCheckBox *mCheckIntelFormat;
    QCheckBox *mCheckHexadecimal;
};






#endif
